;From CADENCE Magazine March , 1991
;Page 59

;CHGENT.LSP
;
;The chgent function is used to eliminate repetitive code when changeing
;entities by accessing thier associate list. The function can be placed
;into the file with the function being created and accessed as follows:
;
; If e is equal to a valid entity name the code (chgent e 8 "RED") placed
;in the LISP routine would change the entity to the "RED" layer. If the
;new value is a list the list must be quoted.
;
;(chgent e 10 '(1.000 1.000 0.000))
;
;This would change the starting point of the line defined by e to 1,1,0.
;
;(chgent entity_name associate_number new_value)
;
(defun chgent(ent asno new)
 (setq as(entget ent))
 (entmod(subst(cons asno new)(assoc asno as)as))
 (entupd ent)
)


