;From CADENCE Magazine March , 1991
;Page 58

;MKDATE.LSP
;
; This function echos a string to the calling function representing
;the current time and date. The program reads the CDATE system variable
;and converts the information to a MM/DD/YY HH:MM A.M./P.M format. This
;can be used to make date stamping more readable on plots and in data
;collection files.
;
; (write-line (mkdate) fl) would write "01/14/91 4:56 P.M." to file fl.
;
(defun MKDATE(/ cdate year month day minutes hour ampm)
 (setq cdate(rtos(getvar "CDATE")2 4)
       year (substr cdate 1 4)
       month(itoa(atoi(substr cdate 5 2)))
       day(itoa(atoi(substr cdate 7 2)))
       minutes(substr cdate 12 2)
       hour(atoi(substr cdate 10 2)))
(if(>= hour 12)(setq hour(itoa(- hour 12))ampm "P.M.")
 (setq hour(itoa hour) ampm "A.M.")
)
(strcat month "/" day "/" year " " hour ":" minutes " " ampm)
)

