;From CADENCE Magazine March , 1991
;Page 59

;XOR.LSP
;
; AutoLISP supplies the programmer with the boole function to utilize
;bitwise logic (1 or 0) in your program. However, only three out of four of
;the logical tests needed to make decision from information returned from
;expressions in the AutoLISP program are supplied by Autodesk. The fourth
;function xor is defined below. With the xor function a list of tests are
;sent to the processor. If any of the tests are true (T), the program
;returns T to the calling function, however, if all tests return T false
;(nil) is returned.
;
; (setq test (xor '((= 1 1)(= 1 2)))) would make test=T
; (setq test (xor '((= 1 1)(= 2 2)))) would make test=nil
;
(defun XOR (lst / cnt test out)
  (setq cnt 0)
   (foreach test lst
    (if (eval test) (setq cnt (1+ cnt)))
   )
   (if (or (= cnt (length lst))(= cnt 0))
       (setq out nil)(setq out T)
   )
  (setq out out)
)

